import * as React from 'react';
import { IgrCustomContourValueResolverEventArgs } from "./igr-custom-contour-value-resolver-event-args";
import { IgrContourValueResolver, IIgrContourValueResolverProps } from "./igr-contour-value-resolver";
import { CustomContourValueResolver } from "./CustomContourValueResolver";
/**
 * ContourValueResolver class which fires an event to resolve the contour values.
*/
export declare class IgrCustomContourValueResolver extends IgrContourValueResolver<IIgrCustomContourValueResolverProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): CustomContourValueResolver;
    /**
                                 * @hidden
                                 */
    get i(): CustomContourValueResolver;
    constructor(props: IIgrCustomContourValueResolverProps & React.HTMLAttributes<HTMLElement>);
    private _getCustomContourValues;
    private _getCustomContourValues_wrapped;
    /**
     * Event raised when retrieving the contour values.
    */
    get getCustomContourValues(): (s: IgrCustomContourValueResolver, e: IgrCustomContourValueResolverEventArgs) => void;
    set getCustomContourValues(ev: (s: IgrCustomContourValueResolver, e: IgrCustomContourValueResolverEventArgs) => void);
}
export interface IIgrCustomContourValueResolverProps extends IIgrContourValueResolverProps {
    /**
     * Event raised when retrieving the contour values.
    */
    getCustomContourValues?: (s: IgrCustomContourValueResolver, e: IgrCustomContourValueResolverEventArgs) => void;
}
