import * as React from 'react';
import { BrushSelectionMode } from "./BrushSelectionMode";
import { IgrBrushScale, IIgrBrushScaleProps } from "./igr-brush-scale";
import { CustomPaletteBrushScale } from "./CustomPaletteBrushScale";
/**
 * Represents a brush scale that uses index-based brush selection mode.
*/
export declare class IgrCustomPaletteBrushScale extends IgrBrushScale<IIgrCustomPaletteBrushScaleProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): CustomPaletteBrushScale;
    /**
                                 * @hidden
                                 */
    get i(): CustomPaletteBrushScale;
    constructor(props: IIgrCustomPaletteBrushScaleProps & React.HTMLAttributes<HTMLElement>);
    /**
     * Gets or sets the brush selection mode.
    */
    get brushSelectionMode(): BrushSelectionMode;
    set brushSelectionMode(v: BrushSelectionMode);
    /**
     * Checks if this scale is ready for useage with a series
    */
    get isReady(): boolean;
    getBrush1(index: number, total: number): string;
}
export interface IIgrCustomPaletteBrushScaleProps extends IIgrBrushScaleProps {
    /**
     * Gets or sets the brush selection mode.
    */
    brushSelectionMode?: BrushSelectionMode | string;
}
