import * as React from 'react';
import { IgrNumericYAxis, IIgrNumericYAxisProps } from "./igr-numeric-y-axis";
import { PercentChangeYAxis } from "./PercentChangeYAxis";
/**
 * A horizontal axis that uses a DateTime scale.
*
* You can use the `PercentChangeYAxis` show percentage values.
*
* ```ts
* <IgrDataChart
*     dataSource={this.state.dataSource}
*     width="700px"
*     height="500px">
*
*     <IgrPercentChangeYAxis name="yAxis" />
*  </IgrDataChart>
* ```
*/
export declare class IgrPercentChangeYAxis<P extends IIgrPercentChangeYAxisProps = IIgrPercentChangeYAxisProps> extends IgrNumericYAxis<P> {
    protected createImplementation(): PercentChangeYAxis;
    /**
                                 * @hidden
                                 */
    get i(): PercentChangeYAxis;
    constructor(props: P & React.HTMLAttributes<HTMLElement>);
}
export interface IIgrPercentChangeYAxisProps extends IIgrNumericYAxisProps {
}
