import * as React from 'react';
import { UnknownValuePlotting } from "igniteui-react-core";
import { IgrPolarLineSeriesBase, IIgrPolarLineSeriesBaseProps } from "./igr-polar-line-series-base";
import { PolarLineSeries } from "./PolarLineSeries";
/**
 * Represents a IgxDataChartComponent polar line series.
*/
export declare class IgrPolarLineSeries extends IgrPolarLineSeriesBase<IIgrPolarLineSeriesProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): PolarLineSeries;
    /**
                                 * @hidden
                                 */
    get i(): PolarLineSeries;
    constructor(props: IIgrPolarLineSeriesProps & React.HTMLAttributes<HTMLElement>);
    /**
     * Gets whether the current series shows only line shapes.
    */
    get isLineOnly(): boolean;
    /**
     * Determines how unknown values will be plotted on the chart.
     * Null and Double.NaN are two examples of unknown values.
    */
    get unknownValuePlotting(): UnknownValuePlotting;
    set unknownValuePlotting(v: UnknownValuePlotting);
}
export interface IIgrPolarLineSeriesProps extends IIgrPolarLineSeriesBaseProps {
    /**
     * Determines how unknown values will be plotted on the chart.
     * Null and Double.NaN are two examples of unknown values.
    */
    unknownValuePlotting?: UnknownValuePlotting | string;
}
