import * as React from 'react';
import { IgrPolarLineSeriesBase, IIgrPolarLineSeriesBaseProps } from "./igr-polar-line-series-base";
import { PolarSplineSeries } from "./PolarSplineSeries";
/**
 * Represents a IgxDataChartComponent polar spline series.
*/
export declare class IgrPolarSplineSeries extends IgrPolarLineSeriesBase<IIgrPolarSplineSeriesProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): PolarSplineSeries;
    /**
                                 * @hidden
                                 */
    get i(): PolarSplineSeries;
    constructor(props: IIgrPolarSplineSeriesProps & React.HTMLAttributes<HTMLElement>);
    /**
     * Gets whether the current series shows a spline shape.
    */
    get isSpline(): boolean;
    /**
     * Gets or sets the Stiffness property.
    */
    get stiffness(): number;
    set stiffness(v: number);
}
export interface IIgrPolarSplineSeriesProps extends IIgrPolarLineSeriesBaseProps {
    /**
     * Gets or sets the Stiffness property.
    */
    stiffness?: number | string;
}
