import * as React from 'react';
import { IgrSplineFragmentBase, IIgrSplineFragmentBaseProps } from "./igr-spline-fragment-base";
import { SplineAreaFragment } from "./SplineAreaFragment";
/**
 * Represents one part of a StackedSplineAreaSeries.
*/
export declare class IgrSplineAreaFragment extends IgrSplineFragmentBase<IIgrSplineAreaFragmentProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): SplineAreaFragment;
    /**
                                 * @hidden
                                 */
    get i(): SplineAreaFragment;
    constructor(props: IIgrSplineAreaFragmentProps & React.HTMLAttributes<HTMLElement>);
    /**
     * Gets whether the current series shows an area or line shape.
    */
    get isAreaOrLine(): boolean;
    /**
     * Gets whether the current series shows an area shape.
    */
    get isArea(): boolean;
    /**
     * Gets whether the current series shows a spline shape.
    */
    get isSpline(): boolean;
}
export interface IIgrSplineAreaFragmentProps extends IIgrSplineFragmentBaseProps {
}
