import * as React from 'react';
import { IgrSplineSeriesBase, IIgrSplineSeriesBaseProps } from "./igr-spline-series-base";
import { SplineAreaSeries } from "./SplineAreaSeries";
/**
 * Represents a IgxDataChartComponent spline area series.
*
* ```ts
*  <IgrDataChart
*     dataSource={this.state.dataSource} >
*
*     <IgrNumericXAxis name="xAxis" />
*     <IgrNumericYAxis name="yAxis" />
*
*     <IgrSplineAreaSeries
*      name="series1"
*     xAxisName="xAxis"
* 	yAxisName="yAxis"
* 	valueMemberPath="Value"
* />
*  </IgrDataChart>
* ```
*
* ```ts
* let series = new IgrSplineAreaSeries({name:"series"});
* series.xAxis = this.xAxis;
* series.yAxis = this.yAxis;
* series.valueMemberPath = "Value";
* ```
*/
export declare class IgrSplineAreaSeries extends IgrSplineSeriesBase<IIgrSplineAreaSeriesProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): SplineAreaSeries;
    /**
                                 * @hidden
                                 */
    get i(): SplineAreaSeries;
    constructor(props: IIgrSplineAreaSeriesProps & React.HTMLAttributes<HTMLElement>);
    /**
     * Gets whether the current series shows an area shape.
    */
    get isArea(): boolean;
    /**
     * Gets whether the current series shows a spline shape.
    */
    get isSpline(): boolean;
}
export interface IIgrSplineAreaSeriesProps extends IIgrSplineSeriesBaseProps {
}
